#include <Wire.h>
#include <LiquidCrystal_I2C.h>

// Define the LCD I2C address (check if your address is 0x27 or 0x3F)
LiquidCrystal_I2C lcd(0x27, 16, 2);  // 16 columns, 2 rows LCD

void setup() {
  // Initialize the LCD
  lcd.begin(16, 2);  // Set the LCD dimensions
  lcd.backlight();   // Turn on the backlight

  // Print a message to the LCD
  lcd.setCursor(0, 0);  // Move the cursor to row 0, column 0
  lcd.print("RP2040 Ready!");  // Display text

  lcd.setCursor(0, 1);  // Move to the second row (row 1)
  lcd.print("I2C LCD Test");  // Display another text
}

void loop() {
  // No need for code here as the text is static
  // You could add more dynamic updates if needed
}